import { createApp } from "vue";
import "./style.css";
import App from "./App.vue";
import router from "./router";
import { store } from "./store/idnex";
import "animate.css/animate.min.css";
//全局导入element-plus
import ElementPlus from "element-plus";
import "element-plus/dist/index.css";

// 引入echarts
import Echarts from "vue-echarts";
import * as echarts from "echarts";
import "echarts-liquidfill";
import "echarts-gl";
const app = createApp(App);
app.use(ElementPlus);

// 使用组件
app.component("e-charts", Echarts);
// 全局挂载 echarts
app.config.globalProperties.$echarts = echarts;

createApp(App).use(router).use(store).mount("#app");
